package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 证件类型()枚举类
*
* @author zxfei
*/
public enum IdCardTypeEnum {
    身份证("居民身份证", "居民身份证"),
    军官证("军官证", "军官证"),
    ;
    private String value;
    private String desc;

    IdCardTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IdCardTypeEnum getByValue(String value) {
        for (IdCardTypeEnum processStatusEnum : IdCardTypeEnum.values()) {
            if (processStatusEnum.getValue() == value) {
                return processStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IdCardTypeEnum item : IdCardTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}